import request from '@/utils/request'

//查询终端数、机车数、相机数、预警数
export function getBasicdata(){
  return request({
    method:'post',
    url:'/service/dataStatistic/getNum'
  })
}

//灾害占比
export function alarmTypeStatistic(params){
  return request({
    method:'post',
    url:'/service/dataStatistic/alarmTypeStatistic',
    data:params
  })
}

//报警月统计数据
export function alarmMonthStatistic(params){
  return request({
    method:'post',
    url:'/service/dataStatistic/alarmMonthStatistic',
    data:params
  })
}
//报警月统计数据导出
export function exportDataStatisticMonth(url,params) {
  return request({
    method: 'post',
    url: url,
    responseType: 'blob',   
    data:params 
  })
}
//频繁出现灾害地点排名导出
export function alarmTypeAreaCountExport(url,params) {
  return request({
    method: 'post',
    url: url,
    responseType: 'blob',   
    data:params 
  })
}
//频繁出现灾害地点排名
export function alarmTypeAreaCount(params){
  return request({
    method:'post',
    url:'/service/dataStatistic/alarmTypeAreaCount',
    data:params
  })
}